/* options_internals.h: options dialog boxes
   Copyright (c) 2001-2002 Philip Kendall

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

   Author contact information:

   E-mail: philip-fuse@shadowmagic.org.uk

*/

/* This file is autogenerated from options.dat by options-header.pl.
   Do not edit unless you know what you're doing! */

#ifndef FUSE_GTKOPTIONS_INTERNALS_H
#define FUSE_GTKOPTIONS_INTERNALS_H

#ifndef __GTK_H__
#include <gtk/gtk.h>
#endif

void menu_options_general( GtkWidget *widget, gpointer data );

typedef struct menu_options_general_t {

  GtkWidget *dialog;

  GtkWidget *emulation_speed;
  GtkWidget *frame_rate;
  GtkWidget *issue2;
  GtkWidget *recreated_spectrum;
  GtkWidget *keyboard_arrows_shifted;
  GtkWidget *writable_roms;
  GtkWidget *late_timings;
  GtkWidget *z80_is_cmos;
  GtkWidget *rs232_handshake;
  GtkWidget *bw_tv;
  GtkWidget *pal_tv2x;
  GtkWidget *statusbar;
  GtkWidget *joy_prompt;
  GtkWidget *confirm_actions;
  GtkWidget *autosave_settings;

} menu_options_general_t;

void menu_options_media( GtkWidget *widget, gpointer data );

typedef struct menu_options_media_t {

  GtkWidget *dialog;

  GtkWidget *auto_load;
  GtkWidget *phantom_typist_mode;
  GtkWidget *detect_loader;
  GtkWidget *fastload;
  GtkWidget *tape_traps;
  GtkWidget *accelerate_loader;
  GtkWidget *slt_traps;
  GtkWidget *mdr_len;
  GtkWidget *mdr_random_len;

} menu_options_media_t;

void menu_options_peripherals_general( GtkWidget *widget, gpointer data );

typedef struct menu_options_peripherals_general_t {

  GtkWidget *dialog;

  GtkWidget *joy_kempston;
  GtkWidget *kempston_mouse;
  GtkWidget *mouse_swap_buttons;
  GtkWidget *fuller;
  GtkWidget *melodik;
  GtkWidget *interface1;
  GtkWidget *interface2;
  GtkWidget *multiface1;
  GtkWidget *multiface128;
  GtkWidget *multiface3;
  GtkWidget *multiface1_stealth;
  GtkWidget *printer;
  GtkWidget *zxprinter;
  GtkWidget *speccyboot;
  GtkWidget *specdrum;
  GtkWidget *spectranet;
  GtkWidget *spectranet_disable;
  GtkWidget *ttx2000s;
  GtkWidget *usource;
  GtkWidget *covox;

} menu_options_peripherals_general_t;

void menu_options_peripherals_disk( GtkWidget *widget, gpointer data );

typedef struct menu_options_peripherals_disk_t {

  GtkWidget *dialog;

  GtkWidget *simpleide_active;
  GtkWidget *zxatasp_active;
  GtkWidget *zxatasp_upload;
  GtkWidget *zxatasp_wp;
  GtkWidget *zxcf_active;
  GtkWidget *zxcf_upload;
  GtkWidget *divide_enabled;
  GtkWidget *divide_wp;
  GtkWidget *divmmc_enabled;
  GtkWidget *divmmc_wp;
  GtkWidget *plusd;
  GtkWidget *didaktik80;
  GtkWidget *disciple;
  GtkWidget *beta128;
  GtkWidget *beta128_48boot;
  GtkWidget *opus;
  GtkWidget *zxmmc_enabled;

} menu_options_peripherals_disk_t;

void menu_options_rzx( GtkWidget *widget, gpointer data );

typedef struct menu_options_rzx_t {

  GtkWidget *dialog;

  GtkWidget *rzx_autosaves;
  GtkWidget *rzx_compression;
  GtkWidget *competition_mode;
  GtkWidget *competition_code;
  GtkWidget *embed_snapshot;

} menu_options_rzx_t;

void menu_options_sound( GtkWidget *widget, gpointer data );

typedef struct menu_options_sound_t {

  GtkWidget *dialog;

  GtkWidget *sound;
  GtkWidget *sound_load;
  GtkWidget *stereo_ay;
  GtkWidget *sound_force_8bit;
  GtkWidget *speaker_type;
  GtkWidget *volume_ay;
  GtkWidget *volume_beeper;
  GtkWidget *volume_specdrum;
  GtkWidget *volume_covox;

} menu_options_sound_t;

void menu_options_diskoptions( GtkWidget *widget, gpointer data );

typedef struct menu_options_diskoptions_t {

  GtkWidget *dialog;

  GtkWidget *drive_plus3a_type;
  GtkWidget *drive_plus3b_type;
  GtkWidget *plus3_detect_speedlock;
  GtkWidget *drive_beta128a_type;
  GtkWidget *drive_beta128b_type;
  GtkWidget *drive_beta128c_type;
  GtkWidget *drive_beta128d_type;
  GtkWidget *drive_plusd1_type;
  GtkWidget *drive_plusd2_type;
  GtkWidget *drive_didaktik80a_type;
  GtkWidget *drive_didaktik80b_type;
  GtkWidget *drive_disciple1_type;
  GtkWidget *drive_disciple2_type;
  GtkWidget *drive_opus1_type;
  GtkWidget *drive_opus2_type;
  GtkWidget *disk_try_merge;
  GtkWidget *disk_ask_merge;

} menu_options_diskoptions_t;

void menu_options_movie( GtkWidget *widget, gpointer data );

typedef struct menu_options_movie_t {

  GtkWidget *dialog;

  GtkWidget *movie_compr;
  GtkWidget *movie_stop_after_rzx;

} menu_options_movie_t;

#endif				/* #ifndef FUSE_GTKOPTIONS_ITERNALS_H */
